Subject: Re: bug#53207: 28.0.91; create-lockfiles nil breaks file change detection

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 28 Jan 2022 14:42:19 +0100

Eli Zaretskii <[email-masked]> writes:

> Lars, what shall we do about this bug report?  Should we document the
> current behavior, or should we move the call to
> userlock--ask-user-about-supersession-threat out of Flock_file?  This
> should be resolved before the next pretest, I think.

I think we should restore the old behaviour, so that setting
create-lockfiles to nil doesn't break file change detection.  I think
that means that we have to move
userlock--ask-user-about-supersession-threat out of Flock_file, yes.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no